man.base.url.for.relative.links
Prev | Endnotes and link handling | Next

## man.base.url.for.relative.links

man.base.url.for.relative.links — Specifies a base URL for relative links

## Synopsis

    <xsl:param name="man.base.url.for.relative.links">[set $man.base.url.for.relative.links]/</xsl:param>

## Description

For any “notesource” listed in the auto-generated “NOTES” section of output man pages (which is generated when the value of the `man.endnotes.list.enabled` parameter is non-zero), if the notesource is a link source with a relative URI, the URI is displayed in output with the value of the `man.base.url.for.relative.links` parameter prepended to the value of the link URI.

### Note

A link source is an notesource that references an external resource:

- a `ulink` element with a `url` attribute

- any element with an `xlink:href` attribute

- an `imagedata`, `audiodata`, or `videodata` element

If you use relative URIs in link sources in your DocBook `refentry` source, and you leave `man.base.url.for.relative.links` unset, the relative links will appear “as is” in the “Notes” section of any man-page output generated from your source. That’s probably not what you want, because such relative links are only usable in the context of HTML output. So, to make the links meaningful and usable in the context of man-page output, set a value for `man.base.url.for.relative.links` that points to the online version of HTML output generated from your DocBook `refentry` source. For example:

    <xsl:param name="man.base.url.for.relative.links"
            >http://www.kernel.org/pub/software/scm/git/docs/</xsl:param>

## Related Parameters

`man.endnotes.list.enabled`

Prev | Up | Next
man.endnotes.are.numbered | Home | Lists